Skip to main content

GET v3/inboundPackingSlips

GET 

/v3/inboundPackingSlips

List your inbound packing slips and their status, with filters and pagination.

Allows the retrieval of inboundPackingSlips and their current status. This endpoint support pagination and various filters as indicated below.

Pagination​

The endpoint supports pagination to split the large collection of resources into smaller, more manageable chunks or pages. This helps to reduce the response size and to improve performance. The endpoint supports only the cursor-based technique for pagination.

Filters​

The GET v3/inboundPackingSlips endpoint supports filtering on the following attributes: status, receivedOn and completedOn. Each of these are explained below. Filters can be used in combination with each other and with pagination to allow full access to the desired subset of inboundPackingSlip resources.

Filtering on status​

The end point allows to set a filter on the current status of inboundPackingSlips. For more details on the various statusses see inboundPackingSlipStatus.

  • GET {host}/v3/inboundPackingSlips?filter[status][in]=EXPECTED,COMPLETED will return all inboundPackingSlips that have either the status EXPECTED or COMPLETED.

Filtering on receivedOn​

To filter inboundPackingSlips for which the inbound has been received before or after a particular date it is possible to specify the filter[receivedOn][lt] and filter[receivedOn][lt]. The received on date represents the date at which the inbound has started.

Filtering on completedOn​

To filter inboundPackingSlips for which the inbound has been completely processed and completed before or after a particular date it is possible to specify the filter[completedOn][lt] and filter[completedOn][lt]. The value of the completedOn attribute represents the date at which the inbound was completed and no further items are expected.

The endpoint also supports -to some degree- the inclusion of information of related resources. The resources that can be included in the response are limited to inboundPackingSlipItems. To get the details of related entities included in the response make use of the include query-parameter in the following way:

  • GET {host}/v3/inboundPackingSlips?include=inboundPackingSlipItems will return for each inboundPackingSlip the list of inboundPackingSlipItems with their details.

Limitations of GET v3/inboundPackingSlips​

When using this endpoint, expect the following limits on the result set

  • inboundPackingSlips older than 90 days are not returned using this method.
  • At most 100 inboundPackingSlips will be returned regardless of the page[size] settings provided in the request.
  • Ordering is based on the id of the inboundPackingSlip in ascending order.
  • Users are rate-limited to 120 requests per hour on this service.

Request​

Responses​

OK